import { ref, computed } from 'vue'
import { defineStore } from 'pinia'
import { dispatchNotification } from '@/components/Notification'
import { readData, removeData, writeData } from '@/utils/storage'
import router from '@/router'

export const useFiltersStore = defineStore('filters', () => {
  const config = ref({
    reportButton: false,
    type: 'type-1'
  })

  const setConfig = (test: {reportButton: boolean, type: string}) => {
    config.value = {
      reportButton: test.reportButton,
      type: test.type
    }
  }

  return {
    config,
    setConfig
  }
})